PUT api/WorkflowChecklists/UpdateContacts

Request Information

URI Parameters

None.

Body Parameters

WorkflowChecklistEditXrefRelation
NameDescriptionTypeAdditional information
Operation

WorkflowChecklistEditXrefRelationOperation

None.

GroupId

globally unique identifier

None.

Name

string

Required

String length: inclusive between 0 and 500

Description

string

String length: inclusive between 0 and 1024

TruckingCompany

GenericComboBox

None.

Policy

GenericComboBox

None.

ContactId

globally unique identifier

None.

ObjectType

AllObjectType

None.

WorkflowChecklist

GenericComboBox

Required

Items

Collection of WorkflowChecklistEditXrefRelationItem

Required

Request Formats

application/json, text/json

Sample:
{
  "operation": 1,
  "groupId": "5161172f-afea-4be2-90ef-20a6f595ec41",
  "name": "sample string 1",
  "description": "sample string 2",
  "truckingCompany": {
    "text": "sample string 1",
    "value": "254b58ff-ad54-454e-ab4a-8c68dc67ee77"
  },
  "policy": {
    "text": "sample string 1",
    "value": "254b58ff-ad54-454e-ab4a-8c68dc67ee77"
  },
  "contactId": "0565ccdf-862d-49bb-901f-174b7c92c70d",
  "objectType": 0,
  "workflowChecklist": {
    "text": "sample string 1",
    "value": "254b58ff-ad54-454e-ab4a-8c68dc67ee77"
  },
  "items": [
    {
      "workflowChecklistItem": {
        "text": "sample string 1",
        "value": "254b58ff-ad54-454e-ab4a-8c68dc67ee77"
      },
      "status": 0,
      "dueDate": "2026-02-25T00:04:00.218383-06:00"
    },
    {
      "workflowChecklistItem": {
        "text": "sample string 1",
        "value": "254b58ff-ad54-454e-ab4a-8c68dc67ee77"
      },
      "status": 0,
      "dueDate": "2026-02-25T00:04:00.218383-06:00"
    }
  ]
}

application/xml, text/xml

Sample:
<WorkflowChecklistEditXrefRelation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.WorkflowChecklists">
  <ContactId>0565ccdf-862d-49bb-901f-174b7c92c70d</ContactId>
  <Description>sample string 2</Description>
  <GroupId>5161172f-afea-4be2-90ef-20a6f595ec41</GroupId>
  <Items>
    <WorkflowChecklistEditXrefRelationItem>
      <DueDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
        <d4p1:DateTime>2026-02-25T06:04:00.218383Z</d4p1:DateTime>
        <d4p1:OffsetMinutes>-360</d4p1:OffsetMinutes>
      </DueDate>
      <Status>NotStarted</Status>
      <WorkflowChecklistItem xmlns:d4p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
        <d4p1:Text>sample string 1</d4p1:Text>
        <d4p1:Value>254b58ff-ad54-454e-ab4a-8c68dc67ee77</d4p1:Value>
      </WorkflowChecklistItem>
    </WorkflowChecklistEditXrefRelationItem>
    <WorkflowChecklistEditXrefRelationItem>
      <DueDate xmlns:d4p1="http://schemas.datacontract.org/2004/07/System">
        <d4p1:DateTime>2026-02-25T06:04:00.218383Z</d4p1:DateTime>
        <d4p1:OffsetMinutes>-360</d4p1:OffsetMinutes>
      </DueDate>
      <Status>NotStarted</Status>
      <WorkflowChecklistItem xmlns:d4p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
        <d4p1:Text>sample string 1</d4p1:Text>
        <d4p1:Value>254b58ff-ad54-454e-ab4a-8c68dc67ee77</d4p1:Value>
      </WorkflowChecklistItem>
    </WorkflowChecklistEditXrefRelationItem>
  </Items>
  <Name>sample string 1</Name>
  <ObjectType>Insured</ObjectType>
  <Operation>Upsert</Operation>
  <Policy xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
    <d2p1:Text>sample string 1</d2p1:Text>
    <d2p1:Value>254b58ff-ad54-454e-ab4a-8c68dc67ee77</d2p1:Value>
  </Policy>
  <TruckingCompany xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
    <d2p1:Text>sample string 1</d2p1:Text>
    <d2p1:Value>254b58ff-ad54-454e-ab4a-8c68dc67ee77</d2p1:Value>
  </TruckingCompany>
  <WorkflowChecklist xmlns:d2p1="http://schemas.datacontract.org/2004/07/BusinessEntities.General">
    <d2p1:Text>sample string 1</d2p1:Text>
    <d2p1:Value>254b58ff-ad54-454e-ab4a-8c68dc67ee77</d2p1:Value>
  </WorkflowChecklist>
</WorkflowChecklistEditXrefRelation>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResult
NameDescriptionTypeAdditional information
Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 0,
  "message": "sample string 1"
}

application/xml, text/xml

Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 1</Message>
  <Status>Error</Status>
</NowCertsApiResult>